*+--------------------------------------------------------------------
*+
*+ Source Module => c:\hmg.3.4.4\0\GRIDHIGH\\MODISTRU.PRG
*+
*+    Copyright(C) 1983-2020 by Auge & Ohr
*+
*+    Functions: Procedure main()
*+               Static Procedure SaveCreate()
*+               Static Procedure CloseForm2()
*+
*+       Tables: USE ( cDbf )
*+
*+    Reformatted by Click! 2.05.30 on Feb-4-2020 at  8:34 am
*+
*+--------------------------------------------------------------------

#include "HMG.CH"
#include "Dbstruct.ch"

*+--------------------------------------------------------------------
*+
*+    Procedure main()
*+
*+--------------------------------------------------------------------
*+
PROCEDURE main( cDbf )

LOCAL aStruc, i, iMax
LOCAL aCaption  := { "Name", "Type", "Len", "Dec" }
LOCAL aWide     := { 110, 50, 60, 60 }
LOCAL aItems    := {}
LOCAL nHeight   := 0
LOCAL nTitlebar := GETTITLEHEIGHT()

   IF !FILE( cDbf )
      msginfo( "need DBF" )
      RETURN
   ENDIF

   ALTD()
   USE ( cDbf )
   aStruc := DBSTRUCT()
   iMax := LEN( aStruc )
   nHeight := ( iMax + 1 ) * 22.3

   FOR i := 1 TO iMax
      AADD( aItems, { aStruc[ i ] [ DBS_NAME ], ;
                      aStruc[ i ] [ DBS_TYPE ], ;
                      aStruc[ i ] [ DBS_LEN ], ;
                      aStruc[ i ] [ DBS_DEC ] } )
   NEXT

   DEFINE WINDOW Form_2 ;
              AT 0, 0 ;
              WIDTH 330 ;
              HEIGHT nHeight + nTitlebar + 40 + 50 ;
              TITLE cDbf ;
              FONTNAME "Arial" ;
              FONTSIZE 11 ;
              NOMINIMIZE ;
              NOMAXIMIZE ;
              NOSIZE ;
              MAIN ;
              ON RELEASE CloseForm2()

      DEFINE TOOLBAR oTOOLBAR BUTTONSIZE 50, 50 FLAT BORDER

         BUTTON oBtSave ;
                 TOOLTIP "F5: create DBF" ;
                 ACTION SaveCreate()

      END TOOLBAR

      DEFINE GRID Brow_2
         PARENT Form_2
         ROW 10 + 50
         COL 10
         WIDTH 290
         HEIGHT nHeight
         HEADERS aCaption
         WIDTHS aWide
         ITEMS aItems
         FONTNAME "Arial"
         FONTSIZE 11
      END GRID
   END WINDOW

   ON KEY F5 OF Form_2 ACTION SaveCreate()
   ON KEY ESCAPE OF Form_2 ACTION Form_2.Release

   Form_2.Brow_2.setfocus
   CENTER WINDOW Form_2
   ACTIVATE WINDOW Form_2

RETURN

*+--------------------------------------------------------------------
*+
*+    Static Procedure SaveCreate()
*+
*+    Called from ( modistru.prg )   2 - procedure main()
*+
*+--------------------------------------------------------------------
*+
STATIC PROCEDURE SaveCreate( cOutPutDBF, aNew, aHead, nRowStart, nRowEnd, nColEnd, lDone, aType )

RETURN

*+--------------------------------------------------------------------
*+
*+    Static Procedure CloseForm2()
*+
*+    Called from ( modistru.prg )   1 - procedure main()
*+
*+--------------------------------------------------------------------
*+
STATIC PROCEDURE CloseForm2()

RETURN

*+ EOF: MODISTRU.PRG
